Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2578 closed defect (wontfix)

rtems-tools configure fails for Cxc builds

Reported by: Mario Gruber Owned by: Chris Johns
Priority: high Milestone: 4.11.3
Component: tool Version: 4.11
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

Building rtems-tools for Cxc builds:

git checkout -b 4.11 origin/4.11 \
 && source-builder/sb-check \
 && cd rtems \
 && ../source-builder/sb-set-builder \
 --log=rsb-powerpc-rtems4.11-mingw.txt \
 --prefix=/opt/powerpc-rtems4.11-mingw \
 --host=i686-w64-mingw32 \
 --bset-tar-files \
 4.11/rtems-powerpc

dies at configuring package rtems-tools-4.11-1:

config: tools/rtems-tools-4.11-1.cfg
package: rtems-tools-4.11-1
...
+ echo ==> %build:
==> %build:
+ pwd
+ build_top=/tmp/rtems-source-builder/rtems/build/rtems-tools-4.11-1
+ test x86_64-linux-gnu != i686-w64-mingw32
+ RT_HOST=-host=i686-w64-mingw32
+ cd rtems-tools-4.11
+ ./waf configure -host=i686-w64-mingw32 
+ --prefix=/opt/powerpc-rtems4.11-mingw
waf [commands] [options]

Main commands (example: ./waf build -j4)
  build    : executes the build
  clean    : cleans the project
...
+ ./waf
The project was not configured: run "waf configure" first!
shell cmd failed: /bin/sh -ex  /tmp/rtems-source-builder/rtems/build/rtems-tools-4.11-1/doit
error: building rtems-tools-4.11-1
  See error report: rsb-report-rtems-tools-4.11-1.txt

This is due to the -host command line argument, which is missing a hyphen.

I sent a patch to the mailing list:

https://lists.rtems.org/pipermail/devel/2016-January/013348.html

Change History (6)

comment:1 Changed on 02/18/16 at 08:36:58 by Mario Gruber

Owner: set to Sebastian Huber
Status: newassigned

comment:2 Changed on 03/27/16 at 00:48:40 by Chris Johns

Owner: changed from Sebastian Huber to Chris Johns

comment:3 Changed on 03/27/16 at 00:51:58 by Chris Johns

Milestone: 4.11.14.11
Priority: normalhigh

comment:4 Changed on 01/26/17 at 07:05:05 by Sebastian Huber

Milestone: 4.114.11.2

comment:5 Changed on 03/23/17 at 01:03:28 by Chris Johns

Milestone: 4.11.24.11.3

The 4.11.2 milestone is closing.

comment:6 Changed on 01/23/18 at 21:37:54 by Chris Johns

Resolution: wontfix
Status: assignedclosed

I am going to close this ticket. We are now building Windows tools on Windows so the need for Cxc build is not as important as it was. Building on Windows ensures we have the correct DLL set for the tools.

Note: See TracTickets for help on using tickets.